|
Menü konumu |
---|
Parça → Temel geometrik şekil oluştur → Elips |
Tezgahlar |
Parça, OpenSCAD |
Varsayılan kısayol |
Hiçbiri |
Versiyonda tanıtıldı |
- |
Ayrıca bkz |
.. |
== Açıklama == Bir elips geometrik şekli, Parça tezgahındaki Temel geometrik şekil oluştur iletişim kutusundan edinilebilir.
Bu komut eliptik bir kavisli kenar oluşturacaktır. Varsayılan değerlerle, eliptik kavisli kenar kapatılacak ve bu nedenle bir elips olacaktır. Açı 1 veya Açı 2 özellikleri varsayılan değerlerinden (0 ve 360) değiştirilirse, kenar açık bir eğri olur.
A Part Ellipse is in fact a closed counterclockwise elliptical arc, it can be turned into an arc by changing its VeriAngle1 and/or VeriAngle2 properties.
Usage
See Part Primitives.
Example

A Part Ellipse object created with the scripting example below is shown here.
Properties
See also: Property editor.
A Part Ellipse object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
Attachment
The object has the same attachment properties as a Part Part2DObject.
Base
- VeriMajorRadius (
Length
): The major radius of the ellipse or elliptical arc. The default is4mm
. - VeriMinorRadius (
Length
): The minor radius of the ellipse or elliptical arc. The default is2mm
. - VeriAngle1 (
Angle
): The start angle of the elliptical arc. Valid range:0° < value <= 360°
. The default is0°
. - VeriAngle2 (
Angle
): The end angle of the elliptical arc. Valid range:0° < value <= 360°
. The default is360°
. If VeriAngle1 and VeriAngle2 are equal, or if one angle is0°
and the other360°
, a full ellipse is created.
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Ellipse can be created with the addObject()
method of the document:
ellipse = FreeCAD.ActiveDocument.addObject("Part::Ellipse", "myEllipse")
- Where
"myEllipse"
is the name for the object. - The function returns the newly created object.
Example:
import FreeCAD as App
doc = App.activeDocument()
ellipse = doc.addObject("Part::Ellipse", "myEllipse")
ellipse.MajorRadius = 20
ellipse.MinorRadius = 10
ellipse.Angle1 = 45
ellipse.Angle2 = 135
ellipse.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))
doc.recompute()
Bu sayfa şu adresten alınmıştır https://wiki.freecad.org/Part_Ellipse